org.eclnt.jsfserver.elements.componentnodes

## Class SYSTEMPROPERTYREADERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SYSTEMPROPERTYREADERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SYSTEMPROPERTYREADERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SYSTEMPROPERTYREADERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SYSTEMPROPERTYREADERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SYSTEMPROPERTYREADERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SYSTEMPROPERTYREADERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SYSTEMPROPERTYREADERNode` | `bindSystempropertyvalue(IDynamicContentBindingObject value)`
    `SYSTEMPROPERTYREADERNode` | `setAttributemacro(java.lang.String value)`
    `SYSTEMPROPERTYREADERNode` | `setComment(java.lang.String value)`
    `SYSTEMPROPERTYREADERNode` | `setConfiginfo(java.lang.String value)`
    `SYSTEMPROPERTYREADERNode` | `setId(java.lang.String value)`
    `SYSTEMPROPERTYREADERNode` | `setReference(java.lang.String value)`
    `SYSTEMPROPERTYREADERNode` | `setStylevariant(java.lang.String value)`
    `SYSTEMPROPERTYREADERNode` | `setSystempropertyvalue(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SYSTEMPROPERTYREADERNode

          public SYSTEMPROPERTYREADERNode()

  - ### Method Detail

    - #### setId

          public SYSTEMPROPERTYREADERNode setId(java.lang.String value)

    - #### setAttributemacro

          public SYSTEMPROPERTYREADERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SYSTEMPROPERTYREADERNode setComment(java.lang.String value)

    - #### bindComment

          public SYSTEMPROPERTYREADERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SYSTEMPROPERTYREADERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SYSTEMPROPERTYREADERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public SYSTEMPROPERTYREADERNode setReference(java.lang.String value)

    - #### setStylevariant

          public SYSTEMPROPERTYREADERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SYSTEMPROPERTYREADERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSystempropertyvalue

          public SYSTEMPROPERTYREADERNode setSystempropertyvalue(java.lang.String value)

    - #### bindSystempropertyvalue

          public SYSTEMPROPERTYREADERNode bindSystempropertyvalue(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.